package com.keao.edu.auth.api.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(sys_user_role):
 */
public class SysUserRole {
	//分部经理
	public static Integer SECTION_MANAGER = 3;
	//教务老师
	public static Integer EDUCATIONAL_TEACHER = 4;
	//运营主管
	public static Integer OPERATION_EXECUTIVE = 5;
	//招生主管
	public static Integer ADMISSIONS_DIRECTOR = 6;
	//教学主任
	public static Integer DEAN_OF_STUDIES = 7;
	//总部管理员
	public static Integer ADMINISTRATOR = 25;

	/** 用户ID */
	@ApiModelProperty(value = "用户ID",required = false)
	private Integer userId;
	
	/** 角色ID */
	@ApiModelProperty(value = "角色ID",required = false)
	private Integer roleId;
	
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setRoleId(Integer roleId){
		this.roleId = roleId;
	}
	
	public Integer getRoleId(){
		return this.roleId;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
